org.apache.catalina.valves

## Class AccessLogValve.ResponseHeaderElement

- java.lang.Object
- - org.apache.catalina.valves.AccessLogValve.ResponseHeaderElement

All Implemented Interfaces:
  AccessLogValve.AccessLogElement

Enclosing class:
  AccessLogValve

    protected static class AccessLogValve.ResponseHeaderElement
    extends Object
    implements AccessLogValve.AccessLogElement

write a specific response header - %{xxx}o

### Constructor Summary

Constructors
Constructor and Description
`AccessLogValve.ResponseHeaderElement(String header)`

### Method Summary

Methods
`void` `addElement(StringBuilder buf, Date date, Request request, Response response, long time)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AccessLogValve.ResponseHeaderElement

    public AccessLogValve.ResponseHeaderElement(String header)

### Method Detail

#### addElement

    public void addElement(StringBuilder buf,
                  Date date,
                  Request request,
                  Response response,
                  long time)

Specified by:
  `addElement` in interface `AccessLogValve.AccessLogElement`